CVE-2004-2096
CVSS4.3
发布时间 :2004-12-31 00:00:00
修订时间 :2016-10-17 23:06:05
NMCOES    

[原文]Cross-site scripting (XSS) vulnerability in Mephistoles httpd 0.6.0 final allows remote attackers to execute arbitrary script as other users by injecting arbitrary HTML or script into the URL.


[CNNVD]Mephistoles HTTPD跨站脚本漏洞(CNNVD-200412-580)

        Mephistoles httpd 0.6.0最终版存在跨站脚本(XSS)漏洞。远程攻击者可以通过向URL注入任意HTML或脚本像其他用户一样执行任意脚本。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:mephistoles_internet_suite:mephistoles_httpd:0.6_final
cpe:/a:mephistoles_internet_suite:mephistoles_httpd:0.6_p1
cpe:/a:mephistoles_internet_suite:mephistoles_httpd:0.6_p2

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-2096
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-2096
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-580
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=107470433714179&w=2
(UNKNOWN)  BUGTRAQ  20040121 Mephistoles Httpd 0.6.0final XSS
http://www.securityfocus.com/bid/9470
(PATCH)  BID  9470
http://xforce.iss.net/xforce/xfdb/14899
(UNKNOWN)  XF  mephistoles-httpd-xss(14899)

- 漏洞信息

Mephistoles HTTPD跨站脚本漏洞
中危 跨站脚本
2004-12-31 00:00:00 2006-08-31 00:00:00
远程  
        Mephistoles httpd 0.6.0最终版存在跨站脚本(XSS)漏洞。远程攻击者可以通过向URL注入任意HTML或脚本像其他用户一样执行任意脚本。

- 公告与补丁

        The vendor has released updates that address this issue. Please see the references for more information.
        Mephistoles Internet Suite HTTPD 0.6 p2
        
        Mephistoles Internet Suite HTTPD 0.6 p1
        

- 漏洞信息 (23564)

Mephistoles HTTPD 0.6 Cross-Site Scripting Vulnerability (EDBID:23564)
multiple remote
2004-01-21 Verified
0 Donato Ferrante
N/A [点击下载]
source: http://www.securityfocus.com/bid/9470/info

Mephistoles 'httpd' daemon fails to sanitize user-supplied input, making it vulnerable to cross-site scripting attacks. This vulnerability allows an attacker to construct a malicious link containing HTML or script code that may be rendered in a user's browser upon visiting that link. This attack would occur in the security context of the affected server.

http://www.example.com/<script>alert("Test")</script>		

- 漏洞信息

3689
Mephistoles Internet Suite httpd XSS
Remote / Network Access Input Manipulation
Loss of Integrity

- 漏洞描述

Mephistoles httpd contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate user input. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2004-01-21 2004-01-21
Unknow Unknow

- 解决方案

Upgrade to version 0.6.1 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Mephistoles HTTPD Cross-Site Scripting Vulnerability
Input Validation Error 9470
Yes No
2004-01-21 12:00:00 2007-10-29 04:26:00
Discovery of this vulnerability has been credited to "Donato Ferrante" <fdonato@autistici.org>.

- 受影响的程序版本

Mephistoles Internet Suite HTTPD 0.6 p2
Mephistoles Internet Suite HTTPD 0.6 p1
Mephistoles Internet Suite HTTPD 0.6 final
Mephistoles Internet Suite HTTPD 0.6 final
Mephistoles Internet Suite HTTPD 0.6.1pre1

- 不受影响的程序版本

Mephistoles Internet Suite HTTPD 0.6 final
Mephistoles Internet Suite HTTPD 0.6.1pre1

- 漏洞讨论

Mephistoles 'httpd' daemon fails to sanitize user-supplied input, making it vulnerable to cross-site scripting attacks. This vulnerability allows an attacker to construct a malicious link containing HTML or script code that may be rendered in a user's browser upon visiting that link. This attack would occur in the security context of the affected server.

- 漏洞利用

The following proof of concept has been supplied:

http://www.example.com/<script>alert("Test")</script>

- 解决方案

The vendor has released updates that address this issue. Please see the references for more information.


Mephistoles Internet Suite HTTPD 0.6 p2

Mephistoles Internet Suite HTTPD 0.6 p1

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站